summaryrefslogtreecommitdiffstats
path: root/components/datalake-handler/packages/init_db/scripts/db_init/20_db-initdb
diff options
context:
space:
mode:
Diffstat (limited to 'components/datalake-handler/packages/init_db/scripts/db_init/20_db-initdb')
-rw-r--r--components/datalake-handler/packages/init_db/scripts/db_init/20_db-initdb25
1 files changed, 25 insertions, 0 deletions
diff --git a/components/datalake-handler/packages/init_db/scripts/db_init/20_db-initdb b/components/datalake-handler/packages/init_db/scripts/db_init/20_db-initdb
new file mode 100644
index 00000000..3b6d340f
--- /dev/null
+++ b/components/datalake-handler/packages/init_db/scripts/db_init/20_db-initdb
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# ============LICENSE_START==========================================
+# ===================================================================
+# Copyright © 2020 QCT Property. All rights reserved.
+# ===================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END============================================
+#
+
+if [ -f "/tmp/db_exist" ]; then
+ exit 0
+fi
+
+cat /app/init_db_data.sql | mysql -uroot -p$MYSQL_ROOT_PASSWORD -h $MYSQL_HOST -P $MYSQL_PORT || exit 1